print("Loading VolvoBM 650, located in "..g_currentModDirectory);

modClassEventListener = {};

function modClassEventListener:loadMap(name)
    self.loadedMap = name;
    print("map " .. self.loadedMap .. " was loaded");
end;

function modClassEventListener:deleteMap()
    if self.loadedMap ~= nil then
        print("map " .. self.loadedMap .. " was deleted");
    end;
end;

function modClassEventListener:mouseEvent(posX, posY, isDown, isUp, button)
end;

function modClassEventListener:keyEvent(unicode, sym, modifier, isDown)
end;

function modClassEventListener:update(dt)
end;

function modClassEventListener:draw()
end;


addModEventListener(modClassEventListener);